Package wx :: Class InputStream

[frames | no frames]

## Type InputStream

    object --+
             |
            InputStream

Proxy of C++ InputStream class

Method Summary
InputStream | `__init__(self, p)`
| `__del__(self)`
bool | `CanRead(self)`
| `close(self)`
bool | `Eof(self)`
bool | `eof(self)`
| `flush(self)`
char | `GetC(self)`
size_t | `LastRead(self)`
char | `Peek(self)`
PyObject | `read(self, size)`
PyObject | `readline(self, size)`
PyObject | `readlines(self, sizehint)`
| `seek(self, offset, whence)`
long | `SeekI(self, pos, mode)`
int | `tell(self)`
long | `TellI(self)`
bool | `Ungetch(self, c)`

Property Summary
| `thisown`: The membership flag

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:02 2007 | http://epydoc.sf.net